build: clean.bash to check that GOOS and GOARCH are set

R=rsc
CC=golang-dev
https://golang.org/cl/1843046
diff --git a/src/clean.bash b/src/clean.bash
index 567e6e3..db4cf40 100755
--- a/src/clean.bash
+++ b/src/clean.bash
@@ -9,6 +9,14 @@
 	echo '$GOROOT not set'
 	exit 1
 fi
+if [ -z "$GOOS" ] ; then
+	echo '$GOOS not set'
+	exit 1
+fi
+if [ -z "$GOARCH" ] ; then
+	echo '$GOARCH not set'
+	exit 1
+fi
 
 GOBIN="${GOBIN:-$HOME/bin}"